package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderRepair;


/**
*  service接口类
*/
public interface OrderRepairService{

    List<OrderRepair> getOrderRepairList(OrderRepair record);

    List<OrderRepair> getOrderRepairByPage(Page page, OrderRepair record);

    OrderRepair getOrderRepairById(String id);

    OrderRepair getOrderRepair(OrderRepair record);

    boolean createOrderRepair(OrderRepair record);

    boolean deleteOrderRepair(String id);

    boolean updateOrderRepair(OrderRepair record);
}

